package com.jwipc.api.constant;

import lombok.Getter;

/**
 * <p>签章文件状态；0-无需签章；1-待上传签章文件；2-已上传签章文件；</p>
 *
 * @author shenyang.ou
 * @version 1.0
 */
@Getter
public enum SignFileStatus {
    NO_SIGN(0, "无需签章"),
    SIGN_STAY(1, "待上传签章文件"),
    SIGN_UPLOAD(2, "已上传签章文件");
    ;
    private final int status;
    private final String title;

    SignFileStatus(int status, String title) {
        this.status = status;
        this.title = title;
    }

    public static SignFileStatus forVal(int status) {
        for (SignFileStatus value : values()) {
            if (value.getStatus() == status) {
                return value;
            }
        }
        return null;
    }
}
